/* -*- Mode: C++; tab-width: 4; indent-tabs-mod: nil; c-basic-offset: 4 -*- */
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file TagFactory.cc
/// @brief Factory class to produce tag processor object.

#include "../include/TagFactory.h"

#include "../include/tag_empty.h"
#include "../include/tag_mp3.h"
#include "../include/tag_ogg.h"
#include "../include/tag_wma.h"

#ifdef ENABLE_FAAD2
#include "../include/tag_aac.h"
#endif

TagFactory::TagFactory()
{
    Register("empty", &CreateEmptyTag);
    Register("mp1", &CreateId3Tag);
    Register("mp2", &CreateId3Tag);
    Register("mp3", &CreateId3Tag);
    Register("ogg", &CreateOGGTag);
    Register("wma", &CreateWMATag);

#ifdef ENABLE_FAAD2
    Register("mp4", &CreateAACTag);
    Register("m4a", &CreateAACTag);
    Register("aac", &CreateAACTag);
#endif
}
